# Compute Accounts API . linux

## Instance Methods

Returns a list of authorized public keys for a specific user account.

Retrieves a list of user accounts for an instance within a specific project.

### Method Details

`getAuthorizedKeysView(project, zone, user, instance)`

    Returns a list of authorized public keys for a specific user account.

    Args:
      project: string, Project ID for this request. (required)
      zone: string, Name of the zone for this request. (required)
      user: string, The user account for which you want to get a list of authorized public keys. (required)
      instance: string, The fully-qualified URL of the virtual machine requesting the view. (required)

    Returns:
      An object of the form:

        {
        "resource": { # A list of authorized public keys for a user account. # [Output Only] A list of authorized public keys for a user.
          "keys": [ # [Output Only] The list of authorized public keys in SSH format.
            "A String",
          ],
        },
      }

`getLinuxAccountViews(project, zone, instance, orderBy=None, filter=None, maxResults=None, pageToken=None, user=None)`

    Retrieves a list of user accounts for an instance within a specific project.

    Args:
      project: string, Project ID for this request. (required)
      zone: string, Name of the zone for this request. (required)
      instance: string, The fully-qualified URL of the virtual machine requesting the views. (required)
      orderBy: string, A parameter
      filter: string, Filter expression for filtering listed resources.
      maxResults: integer, Maximum count of results to be returned.
      pageToken: string, Tag returned by a previous list request when that list was truncated to maxResults. Used to continue a previous list request.
      user: string, If provided, the user requesting the views. If left blank, the system is requesting the views, instead of a particular user.

    Returns:
      An object of the form:

        {
        "resource": { # A list of all Linux accounts for this project. This API is only used by Compute Engine virtual machines to get information about user accounts for a project or instance. Linux resources are read-only views into users and groups managed by the Compute Engine Accounts API. # [Output Only] A list of authorized user accounts and groups.
          "kind": "computeaccounts#linuxAccountViews", # [Output Only] Type of the resource. Always computeaccounts#linuxAccountViews for Linux resources.
          "userViews": [ # [Output Only] A list of all users within a project.
            { # A detailed view of a Linux user account.
              "username": "A String", # [Output Only] The username of the account.
              "shell": "A String", # [Output Only] The path to the login shell for this account.
              "uid": 42, # [Output Only] User ID.
              "gid": 42, # [Output Only] User's default group ID.
              "gecos": "A String", # [Output Only] The GECOS (user information) entry for this account.
              "homeDirectory": "A String", # [Output Only] The path to the home directory for this account.
            },
          ],
          "groupViews": [ # [Output Only] A list of all groups within a project.
            { # A detailed view of a Linux group.
              "groupName": "A String", # [Output Only] Group name.
              "gid": 42, # [Output Only] The Group ID.
              "members": [ # [Output Only] List of user accounts that belong to the group.
                "A String",
              ],
            },
          ],
        },
      }